Application: gvSIG desktop - gvSIG bugs #5516
Error en el filtro por campos Timestamp en el gestor de expresiones
11/30/2020 01:33 PM - Mario Carrera

Status: Won't fix % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:

Category: Document table

Target version: 2.6.0-3330

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Da error al realizar filtros por campos Timestamp cuando se incluye un AND en el Gestor de expresiones. Adjunto tabla, y el campo
Fecha_hora es de tipo Timestamp.

La Consulta realizada es:
Fecha_hora> TIMESTAMP '2019-01-19 23:30:00' AND Fecha_hora< TIMESTAMP '2019-01-21 23:30:00"'
deben salir 4 seleccionados.

Si hacemos la primera, y "Nueva seleccién”, y la segunda consulta y "Filtrar de la seleccion” si que lo hace.

Adjunto log.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5517: Error en el Buscad... Invalid 11/30/2020

Associated revisions

Revision 47465 - 09/06/2023 12:57 PM - Francisco Diaz Carsi

refs #5516 Fixed syntax of casting to date/time/timestamp in SQL (COSA)

History

#1 - 11/30/2020 01:34 PM - Mario Carrera

- Subject changed from Error en el filtro por campos Timestamp to Error en el filtro por campos Timestamp en el gestor de expresiones

#2 - 11/30/2020 01:38 PM - Mario Carrera

- Related to gvSIG bugs #5517: Error en el Buscador por atributos con campos de tipo Timestamp added

#3 - 08/04/2023 08:40 AM - Joaquin del Cerro Murciano
- Priority changed from Normal to High

#4 - 08/04/2023 10:24 AM - Alvaro Anguix

Entre parentesis funciona:
(Fecha_hora > TIMESTAMP '2019-01-19 23:30:00') AND (Fecha_hora< TIMESTAMP '2019-01-21 23:30:00" )
#5 - 08/04/2023 10:24 AM - Alvaro Anguix
- Status changed from New to Won't fix

#6 - 09/06/2023 12:47 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3330

Files

prueba_timestamp.csv 7.35 KB 11/30/2020 Mario Carrera

gvSIG.log 107 KB 11/30/2020 Mario Carrera

gvSIG.log.1 512 KB 11/30/2020 Mario Carrera
